% Beamer theme: dtudriven

\mode<all> % ------------------------------------------------------------------

% Requirements
\RequirePackage[utf8]{inputenc}
% \RequirePackage[T1]{fontenc}

\RequirePackage{newtxtext}
\RequirePackage[scaled=0.92]{inconsolata}

\RequirePackage{tikz}

\RequirePackage[normalem]{ulem}
\RequirePackage{tabularx,booktabs}

\mode<beamer | handout> % -----------------------------------------------------

% Requirements
\RequirePackage[backend=biber,citestyle=authoryear,sorting=none]{biblatex}

\RequirePackage{media9}

\mode
<all>

\mode<trans> % ----------------------------------------------------------------

% Requirements
\RequirePackage[size=a0,orientation=portrait,scale=1.3]{beamerposter}

\RequirePackage[backend=biber,style=numeric,citestyle=numeric-comp,sorting=none]{biblatex}

\mode
<all>

\mode<handout> % --------------------------------------------------------------

% Requirements
\RequirePackage{pgfpages}
\pgfpagesuselayout{2 on 1}[a4paper,border shrink=5mm]
\setbeameroption{show notes}

\mode
<all>

\mode<all> % ------------------------------------------------------------------

% Settings
\useinnertheme{dtudriven}
\useoutertheme{dtudriven}
\usecolortheme{dtudriven}
\usefonttheme {dtudriven}

% General (re)definitions
\newcommand{\mainauthor}[1]{\texorpdfstring{\uline{#1}}{#1}}
\renewcommand{\bibfont}{\usebeamerfont{bibliography item}}

\mode
<all>
